Name:           duc
Version:        1.4.5
Release:        2%{?dist}
Summary:        Disk usage tools

License:        LGPL-3.0-or-later
URL:            https://duc.zevv.nl/
Source0:        https://github.com/zevv/duc/releases/download/%{version}/duc-%{version}.tar.gz
Source1:        duc.desktop

BuildRequires:  pango-devel
BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  pcre2-devel
BuildRequires:  tokyocabinet-devel
BuildRequires:  uthash-devel
BuildRequires:  desktop-file-utils

%description
Duc is a collection of tools for indexing, inspecting and visualizing
disk usage. Duc maintains a database of accumulated sizes of directories
of the file system, and allows you to query this database with some tools,
or create fancy graphs showing you where your bytes are.


%prep
%autosetup

(
cd src/libduc
for i in ut*.h; do
    ln -sf %{_includedir}/$i $i
done
)


%build
%configure
%make_build


%install
%make_install

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%license LICENSE
%doc ChangeLog README.md
%{_bindir}/duc
%{_mandir}/man1/duc.1*
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Feb 22 2024 Jens Petersen <petersen@redhat.com> - 1.4.5-2
- build with uthash-devel (#2260290, Benson Muite)
- add desktop file (#2260290, Benson Muite)

* Mon Jan 22 2024 Jens Petersen <petersen@redhat.com> - 1.4.5-1
- initial package
